import React from 'react';
import Paper from '@material-ui/core/Paper';
import Grid from '@material-ui/core/Grid';
import './style/json_display.css';
import Custom_span from './Custom_span';
import { ID } from '../_ID';
import Typography from '@material-ui/core/Typography';

function Json_display({
  data,
  height
}) {
  const getObjectLength = object => {
    return Object.keys(object).length;
  };

  const return_objects_key = object => {
    //console.log('aaa',object['tags'])
    let keys = [];
    let size = getObjectLength(object);

    for (let index = 0; index < size; index++) {
      if (object[Object.keys(object)[index]] instanceof Array) {
        keys.push( /*#__PURE__*/React.createElement(Custom_span, {
          key: ID(),
          array: object[Object.keys(object)[index]],
          extract_data: return_objects_key,
          object_length: getObjectLength
        }, Object.keys(object)[index]));
      } else if (object[Object.keys(object)[index]] instanceof Object) {
        keys.push( /*#__PURE__*/React.createElement(Custom_span, {
          key: ID(),
          object_: object[Object.keys(object)[index]],
          extract_data: return_objects_key
        }, Object.keys(object)[index]));
      } else {
        keys.push( /*#__PURE__*/React.createElement(Custom_span, {
          key: ID(),
          value_type: typeof object[Object.keys(object)[index]],
          value: object[Object.keys(object)[index]]
        }, Object.keys(object)[index]));
      }
    }

    return keys;
  };

  if (!data) {
    throw new Error('Data passed to Json_display is undefined');
  }

  const custom_style = {
    height: height ? `${height}px` : `auto`,
    overflowY: height ? `scroll` : 'none'
  };
  return /*#__PURE__*/React.createElement(Grid, {
    item: true,
    xs: 12,
    sm: 6,
    className: "paper"
  }, /*#__PURE__*/React.createElement(Paper, {
    style: custom_style
  }, data.length > 0 ? data.map(o => /*#__PURE__*/React.createElement("div", {
    className: "container",
    key: ID()
  }, return_objects_key(o))) : /*#__PURE__*/React.createElement(Typography, {
    variant: "h4",
    gutterBottom: true
  }, "Empty data or Undefined")));
}

export default Json_display;